import logging
import pytest

class Tester(object):
    """
    Base class for Tester classes used in QA
    All test scripts should extend from this class
    """
    logger = None
    
    @classmethod
    @pytest.fixture(scope='class', autouse=True)
    def _init(cls):
        """
        Class constructor.  Overwrites Object's class

        Args :  
        logName: (str) Name given to log that will be created upon running of your test. Usually named after the test.

        Returns : null

        Raises : null
        """
        cls.logger = logging.getLogger("Tester")  
